RarEntry::getStream
RarEntry::getVersion
RarEntry
PHP Manual

# RarEntry::getUnpackedSize

Get unpacked size of the entry

### Description

public int RarEntry::getUnpackedSize ( void )

Get unpacked size of the archive entry.

> Note:

> Note that on platforms with 32-bit longs (that includes Windows x64), the maximum size returned is capped at 2 GiB. Check the constant `PHP_INT_MAX`.

### Parameters

This function has no parameters.

### Return Values

Returns the unpacked size, or `FALSE` on error.

### Changelog

Version | Description
--- | ---
2.0.0 | This method now returns correct values of unpacked sizes bigger than 2 GiB on platforms with 64-bit integers and never returns negative values on other platforms.

### Return Values

Example #1 RarEntry::getUnpackedSize example

`<?php
$rar_file = rar_open('example.rar') or die("Failed to open Rar archive");
$entry = rar_entry_get($rar_file, 'Dir/file.txt') or die("Failed to find such entry");
echo "Unpacked size of " . $entry->getName() . " = " . $entry->getPackedSize() . " bytes";
?>`